package com.supervision.police.dto;

import cn.hutool.core.collection.CollUtil;
import com.supervision.police.domain.NoteRecord;
import lombok.Data;

import java.util.List;

@Data
public class NoteRecordDTO {

    private String id;

    /**
     * 案件id
     */
    private String caseId;

    /**
     * 笔录名称
     */
    private String recordName;

    /**
     * 笔录文件id集合
     */
    private List<String> fileIdList;

    /**
     * 姓名
     */
    private String name;

    /**
     * 角色
     */
    private String role;

    /**
     * 供述材料
     */
    private Integer confessionMaterial;

    /**
     * 询问人
     */
    private String lawAsker;

    /**
     * 供述开始时间
     */
    private String confessionStartTime;

    /**
     * 供述结束时间
     */
    private String confessionEndTime;

    public NoteRecord toNoteRecord(){
        NoteRecord noteRecord = new NoteRecord();
        noteRecord.setId(id);
        noteRecord.setCaseId(caseId);
        noteRecord.setRecordName(recordName);
        if (CollUtil.isNotEmpty(fileIdList)){
            noteRecord.setFileIds(CollUtil.join(fileIdList, ","));
        }
        noteRecord.setName(name);
        noteRecord.setRole(role);
        noteRecord.setConfessionMaterial(confessionMaterial);
        noteRecord.setLawAsker(lawAsker);
        noteRecord.setConfessionStartTime(confessionStartTime);
        noteRecord.setConfessionEndTime(confessionEndTime);
        return noteRecord;
    }


}
